aboutsummaryrefslogtreecommitdiff
path: root/academic/meep/meep.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/meep/meep.SlackBuild')
-rw-r--r--academic/meep/meep.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/academic/meep/meep.SlackBuild b/academic/meep/meep.SlackBuild
index 8f38e6eaf359d..332625b8b0654 100644
--- a/academic/meep/meep.SlackBuild
+++ b/academic/meep/meep.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=meep
-VERSION=${VERSION:-1.17.1}
+VERSION=${VERSION:-1.25.0}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -64,13 +64,13 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
# change annoying underscores into hyphens
SVERSION=$(echo $VERSION | tr '_' '-')
# make a custom list of doc files in advance
DOCFILES="AUTHORS COPYRIGHT LICENSE TODO NEWS.md"
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -112,6 +112,7 @@ fi
CFLAGS="$SLKCFLAGS" \
CPPFLAGS="$SLKCFLAGS" \
+PYTHON=/usr/bin/python3 \
./configure \
--prefix=/usr \
--mandir=/usr/man \